org.jgroups.util

## Enum Util.AddressScope

- java.lang.Object
- - java.lang.Enum<Util.AddressScope>
  - - org.jgroups.util.Util.AddressScope

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Util.AddressScope>

Enclosing class:
  Util

    public static enum Util.AddressScope
    extends java.lang.Enum<Util.AddressScope>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GLOBAL`
`LINK_LOCAL`
`LOOPBACK`
`NON_LOOPBACK`
`SITE_LOCAL`

### Method Summary

Methods
`static Util.AddressScope` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Util.AddressScope[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GLOBAL

    public static final Util.AddressScope GLOBAL

#### SITE_LOCAL

    public static final Util.AddressScope SITE_LOCAL

#### LINK_LOCAL

    public static final Util.AddressScope LINK_LOCAL

#### LOOPBACK

    public static final Util.AddressScope LOOPBACK

#### NON_LOOPBACK

    public static final Util.AddressScope NON_LOOPBACK

### Method Detail

#### values

    public static Util.AddressScope[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Util.AddressScope c : Util.AddressScope.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Util.AddressScope valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null